Package ghidra.app.util.bin.format.omf.omf51

# Class Omf51PublicDef

java.lang.Object
ghidra.app.util.bin.format.omf.omf51.Omf51PublicDef

public class Omf51PublicDef extends Object

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `BIT`
  `static final int`
  `CODE`
  `static final int`
  `DATA`
  `static final int`
  `IDATA`
  `static final int`
  `NUMBER`
  `static final int`
  `REG_BANK_0`
  `static final int`
  `REG_BANK_1`
  `static final int`
  `REG_BANK_2`
  `static final int`
  `REG_BANK_3`
  `static final int`
  `XDATA`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Omf51PublicDef(BinaryReader reader, boolean largeSegmentId)`
  Creates a new `Omf51PublicDef`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `byte`
  `getInfo()`
  Returns the segment info.
  `OmfString`
  `getName()`
  Returns the symbol name.
  `int`
  `getOffset()`
  Returns the offset into the segment.
  `int`
  `getRegBank()`
  Returns the register bank this procedure is fixed to.
  `int`
  `getSegId()`
  Returns the segment id.
  `int`
  `getUsageType()`
  Returns the usage type (CODE, XDATA, etc).
  `boolean`
  `isFixedReg()`
  Returns whether or not this procedure is fixed to a register bank.
  `boolean`
  `isIndirectlyCallable()`
  Returns whether or not this procedure is indirectly callable.
  `boolean`
  `isVariable()`
  Returns whether or not this symbol is a variable or not.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### CODE

    public static final int CODE
    See Also:
      - Constant Field Values

  - ### XDATA

    public static final int XDATA
    See Also:
      - Constant Field Values

  - ### DATA

    public static final int DATA
    See Also:
      - Constant Field Values

  - ### IDATA

    public static final int IDATA
    See Also:
      - Constant Field Values

  - ### BIT

    public static final int BIT
    See Also:
      - Constant Field Values

  - ### NUMBER

    public static final int NUMBER
    See Also:
      - Constant Field Values

  - ### REG_BANK_0

    public static final int REG_BANK_0
    See Also:
      - Constant Field Values

  - ### REG_BANK_1

    public static final int REG_BANK_1
    See Also:
      - Constant Field Values

  - ### REG_BANK_2

    public static final int REG_BANK_2
    See Also:
      - Constant Field Values

  - ### REG_BANK_3

    public static final int REG_BANK_3
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### Omf51PublicDef

    public Omf51PublicDef(BinaryReader reader, boolean largeSegmentId) throws IOException
    Creates a new `Omf51PublicDef`
    Parameters:
      `reader` - A `BinaryReader` positioned at the start of the public definition
      `largeSegmentId` - True if the segment ID is 2 bytes; false if 1 byte
    Throws:
      `IOException` - if an IO-related error occurred

- ## Method Details

  - ### getSegId

    public int getSegId()
    Returns the segment id.
    Returns:
      the segment id

  - ### getInfo

    public byte getInfo()
    Returns the segment info.
    Returns:
      the segment info

  - ### getOffset

    public int getOffset()
    Returns the offset into the segment.
    Returns:
      the offset into the segment

  - ### getName

    public OmfString getName()
    Returns the symbol name.
    Returns:
      the symbol name

  - ### getUsageType

    public int getUsageType()
    Returns the usage type (CODE, XDATA, etc).
    Returns:
      the usage type (CODE, XDATA, etc)

  - ### isVariable

    public boolean isVariable()
    Returns whether or not this symbol is a variable or not.
    Returns:
      whether or not this symbol is a variable or not

  - ### isIndirectlyCallable

    public boolean isIndirectlyCallable()
    Returns whether or not this procedure is indirectly callable.
    Returns:
      whether or not this procedure is indirectly callable

  - ### isFixedReg

    public boolean isFixedReg()
    Returns whether or not this procedure is fixed to a register bank.
    Returns:
      whether or not this procedure is fixed to a register bank

  - ### getRegBank

    public int getRegBank()
    Returns the register bank this procedure is fixed to.
    Returns:
      the register bank this procedure is fixed to